Page MenuHomePhabricator

Cannot remove 'other class' in Horizon Puppet project prefix configuration.
Closed, ResolvedPublic

Description

While testing new puppet in the Analytics project today, I ran into an issue where I can remove a class I applied using the 'Other classes' form in the Prefix Puppet configuration interface. When trying to remove this class, I get:

Danger: There was an error submitting the form. Please try again.

As an aside the only reason I'm removing this class at all is so that I can modify hiera parameters that get sucked up by the Horizon class UI. T177855 is about that bug.

Details

Related Gerrit Patches:
openstack/horizon/deploy : ocataUpdate wmf-puppet-dashboard
openstack/horizon/wmf-puppet-dashboard : ocataDon't interate on a list that we're changing
openstack/horizon/wmf-puppet-dashboard : masterDon't interate on a list that we're changing

Event Timeline

Ottomata created this task.Apr 2 2018, 6:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 2 2018, 6:33 PM

Screenshot:

bd808 edited projects, added Horizon; removed Cloud-VPS.Apr 4 2018, 3:24 PM

Yar. This just hit me again. I used Apply Class to fill out some hiera params to try and fix T191154. However, one of the params takes a hash, instead of a string. I didn't know I couldn't enter a hash, so I entered { new_consumer: true }. This got parsed as a string. Now on the node, I'm getting deep_merge: unexpected argument type String, only expects hash arguments.

So, I'd like to remove the class so I can fix the param value (I have to change params, as specified in T177855). But, I can't, because I can't remove applied classes! :o :)

The instance in question is in the deployment-prep project, deployment-kafka04. https://horizon.wikimedia.org/project/instances/64e0f9f6-0e85-4bdf-94f4-baf2ac60b6ba/

Andrew added a comment.Apr 5 2018, 1:54 PM

This just hit me again

These are two different things, right? The bug title is about the 'other classes' text field but this last report is about clicking 'Remove Class' for a specific class?

Change 424308 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[openstack/horizon/wmf-puppet-dashboard@master] Don't interate on a list that we're changing

https://gerrit.wikimedia.org/r/424308

Change 424309 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[openstack/horizon/wmf-puppet-dashboard@ocata] Don't interate on a list that we're changing

https://gerrit.wikimedia.org/r/424309

Change 424308 merged by Andrew Bogott:
[openstack/horizon/wmf-puppet-dashboard@master] Don't interate on a list that we're changing

https://gerrit.wikimedia.org/r/424308

Change 424309 merged by Andrew Bogott:
[openstack/horizon/wmf-puppet-dashboard@ocata] Don't interate on a list that we're changing

https://gerrit.wikimedia.org/r/424309

Change 424310 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[openstack/horizon/deploy@ocata] Update wmf-puppet-dashboard

https://gerrit.wikimedia.org/r/424310

Change 424310 merged by Andrew Bogott:
[openstack/horizon/deploy@ocata] Update wmf-puppet-dashboard

https://gerrit.wikimedia.org/r/424310

Mentioned in SAL (#wikimedia-operations) [2018-04-05T14:00:14Z] <andrew@tin> Started deploy [horizon/deploy@cd1cda6]: Deploying potential fix for T191232

Mentioned in SAL (#wikimedia-operations) [2018-04-05T14:03:31Z] <andrew@tin> Finished deploy [horizon/deploy@cd1cda6]: Deploying potential fix for T191232 (duration: 03m 17s)

Andrew added a comment.Apr 5 2018, 2:04 PM

The above patch fixed the second issue, at least. LMK if the first one (the 'other classes' thing) is still broken.

Andrew closed this task as Resolved.Apr 24 2018, 6:03 PM
Andrew claimed this task.